### Class

# Pango FontsetSimple

since: 1.0

#### Description [src]

    final class Pango.FontsetSimple : Pango.Fontset
    {
      /* No available fields */
    }

`PangoFontsetSimple` is a implementation of the abstract `PangoFontset` base class as an array of fonts.

When creating a `PangoFontsetSimple`, you have to provide the array of fonts that make up the fontset.

Available since: 1.0

#### Ancestors

- PangoFontset
- GObject

#### Constructors

###### pango_fontset_simple_new

Creates a new `PangoFontsetSimple` for the given language.

since: 1.0

#### Instance methods

###### pango_fontset_simple_append

Adds a font to the fontset.

since: 1.0

###### pango_fontset_simple_size

Returns the number of fonts in the fontset.

since: 1.0

##### Methods inherited from PangoFontset (3)

###### pango_fontset_foreach

Iterates through all the fonts in a fontset, calling `func` for each one.

since: 1.4

###### pango_fontset_get_font

Returns the font in the fontset that contains the best glyph for a Unicode character.

since: 1.0

###### pango_fontset_get_metrics

Get overall metric information for the fonts in the fontset.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PangoFontsetSimpleClass {
      /* no available fields */
    }

No description available.